| TagLib 1.13 |  |

Classes | Typedefs
TagLib::FLAC Namespace Reference

An implementation of FLAC metadata. More...

## Classes
class | File
| An implementation of TagLib::File with FLAC specific methods. More...
class | MetadataBlock
class | Picture
class | Properties
| An implementation of audio property reading for FLAC. More...
class | UnknownMetadataBlock

## Typedefs
typedef List< Picture > | PictureList

## Detailed Description

An implementation of FLAC metadata.

This is implementation of FLAC metadata for non-Ogg FLAC files. At some point when Ogg / FLAC is more common there will be a similar implementation under the Ogg hierarchy.

This supports ID3v1, ID3v2 and Xiph style comments as well as reading stream properties from the file.

## Typedef Documentation

## ◆ PictureList

typedef List<Picture> TagLib::FLAC::PictureList